package com.bonus.bracelet.mapper;

import com.bonus.common.entity.bracelet.vo.*;

import java.util.List;

/**
 * 项目信息 数据层
 * 
 * @author bonus
 */
public interface QueryConstructionMapper
{
    /**
     * 查询项目数据集合
     * 

     * @return 项目数据集合
     */
    public  List<QueryConstruction> selectConstructionList(QueryConstruction construction);

    /**
     * 班组人员设备列表
     * @param data
     * @return
     */
    List<PersonVo> getTeamLists(PersonVo data);

    /**
     * 临时人员设备列表
     * @param data
     * @return
     */
    List<PersonVo> getTempLists(PersonVo data);

    /**
     * 施工预警信息列表
     * @param data
     * @return
     */
    List<WarnInfoVo> getWarnLists(QueryConstruction data);

    /**
     * 批量导出施工记录数据
     * @param ids
     * @return
     */
    public List<QueryConstruction> getConstructionSomeLists(int[] ids);


    /**
     * 获取施工班组人数
     * @param teamId
     * @return
     */
    int getTeamNum(Long teamId);

    /**
     * 获取临时人数
     * @param teamId
     * @return
     */
    int getTempNum(Long teamId);
}
